## libsixel 1.1.2

=== examples/osx/opengl/Makefile ===
CC=cc
CFLAGS=-Wall -Wno-deprecated-declarations `pkg-config --cflags libsixel`
LDFLAGS=`pkg-config --libs libsixel` -framework OpenGL

all: opengl.c Makefile
	$(CC) $(CFLAGS) opengl.c $(LDFLAGS) -o opengl

run: all
	./opengl

clean:
	rm -f opengl *.o

=== debian/changelog ===
libsixel (1.1.2-1) unstable; urgency=low

  * Initial release (Closes: #763424)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 27 Sep 2014 17:08:01 +0900

=== debian/control ===
Source: libsixel
Priority: extra
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/saitoha/libsixel
#Vcs-Git: git://git.debian.org/collab-maint/libsixel.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/libsixel.git;a=summary

Package: libsixel-dev
Section: libdevel
Architecture: any
Depends: libsixel1 (= ${binary:Version}), ${misc:Depends}
Description: DEC SIXEL graphics codec implementation (develop)
 SIXEL is one of image formats for printer and terminal imaging
 introduced by Digital Equipment Corp. (DEC). Its data scheme is
 represented as a terminal-friendly escape sequence. 
 So if you want to view a SIXEL image file, all you have to do
 is "cat" it to your terminal.
 .
 The package is for development.

Package: libsixel1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DEC SIXEL graphics codec implementation (runtime)
 SIXEL is one of image formats for printer and terminal imaging
 introduced by Digital Equipment Corp. (DEC). Its data scheme is
 represented as a terminal-friendly escape sequence. 
 So if you want to view a SIXEL image file, all you have to do
 is "cat" it to your terminal.
 .
 The package is for runtime.

Package: libsixel-bin
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DEC SIXEL graphics codec implementation (binary)
 SIXEL is one of image formats for printer and terminal imaging
 introduced by Digital Equipment Corp. (DEC). Its data scheme is
 represented as a terminal-friendly escape sequence. 
 So if you want to view a SIXEL image file, all you have to do
 is "cat" it to your terminal.
 .
 The package contains execution binaries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@  --with autotools-dev

override_dh_auto_configure:
	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	dh_auto_configure -- \
	--with-bashcompletiondir=/etc/bash_completion.d \
	--with-zshcompletiondir=/usr/share/zsh/functions/Completion/Unix \
	--includedir=/usr/include/sixel

## libsixel 1.4.2

=== debian/changelog ===
libsixel (1.4.2-1) unstable; urgency=medium

  * New upstream.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 09 Dec 2014 07:59:57 +0000

libsixel (1.1.2-2) unstable; urgency=medium

  * Add watch file (Closes: #772444)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 09 Dec 2014 07:00:33 +0000

## libsixel 1.5.2

=== debian/changelog ===
libsixel (1.5.2-2) unstable; urgency=medium

  * Disable python.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 04 Sep 2015 06:50:38 +0000

libsixel (1.5.2-1) unstable; urgency=medium

  * New upstream.
  * Include new OpenGL example.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 01 Sep 2015 05:20:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/saitoha/libsixel
 #Vcs-Git: git://git.debian.org/collab-maint/libsixel.git

=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,5 @@
 	dh_auto_configure -- \
 	--with-bashcompletiondir=/etc/bash_completion.d \
 	--with-zshcompletiondir=/usr/share/zsh/functions/Completion/Unix \
-	--includedir=/usr/include/sixel
+	--includedir=/usr/include/sixel \
+	--disable-python

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libsixel-$1\.tar\.gz/ \
  https://github.com/saitoha/libsixel/tags .*/v?(\d\S*)\.tar\.gz

## libsixel 1.7.3

=== debian/changelog ===
libsixel (1.7.3-1) unstable; urgency=medium

  * New upstream.
  * New package: libsixel-examples.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 22 Aug 2017 17:39:45 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: extra
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
+Testsuite: autopkgtest
 Section: libs
 Homepage: https://github.com/saitoha/libsixel
 #Vcs-Git: git://git.debian.org/collab-maint/libsixel.git
@@ -11,6 +12,7 @@
 Package: libsixel-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libsixel1 (= ${binary:Version}), ${misc:Depends}
 Description: DEC SIXEL graphics codec implementation (develop)
  SIXEL is one of image formats for printer and terminal imaging
@@ -22,8 +24,8 @@
  The package is for development.
 
 Package: libsixel1
-Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: DEC SIXEL graphics codec implementation (runtime)
  SIXEL is one of image formats for printer and terminal imaging
@@ -35,7 +37,6 @@
  The package is for runtime.
 
 Package: libsixel-bin
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: DEC SIXEL graphics codec implementation (binary)
@@ -46,3 +47,18 @@
  is "cat" it to your terminal.
  .
  The package contains execution binaries.
+
+Package: libsixel-examples
+Architecture: all
+Section: devel
+Depends: ${misc:Depends}
+Suggests: libsixel-dev
+Description: DEC SIXEL graphics codec implementation (examples)
+ SIXEL is one of image formats for printer and terminal imaging
+ introduced by Digital Equipment Corp. (DEC). Its data scheme is
+ represented as a terminal-friendly escape sequence.
+ So if you want to view a SIXEL image file, all you have to do
+ is "cat" it to your terminal.
+ .
+ The package contains examples of libsixel.
+

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+
 %:
 	dh $@  --with autotools-dev

## libsixel 1.8.2

=== examples/drawing/Makefile ===
all:
	cc -Wall $$(libsixel-config --cflags) main.c -o demo $$(libsixel-config --libs)

run: all
	./demo

clean:
	rm -vf ./demo

=== debian/changelog ===
libsixel (1.8.2-1+deb10u1) buster; urgency=high

  * d/patches/0001-Add-malloc-size-check.patch: fix CVE-2018-19756
  * d/patches/0002-assign-default-error-message.patch: fix CVE-2018-19757
  * d/patches/0003-add-limitation-to-width-and-height.patch: fix CVE-2018-19759
  * d/patches/0004-position-error-check.patch: fix CVE-2018-19761
  * d/patches/0005-size-check.patch: fix CVE-2018-19762
  * d/patches/0006-prevent-to-access-heap-overflow.patch: fix CVE-2018-19763
  * d/patches/0007-check-error-for-jpeg_read_scanlines.patch: fix CVE-2019-3573
  * d/patches/0008-check-number-of-repeat_count.patch: fix CVE-2019-3574
  * security fix, closes: #931311

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 09 Sep 2019 12:42:52 +0900

libsixel (1.8.2-1) unstable; urgency=medium

  * New upstream, security fix (closes: #903858)
  * d/control: update decian policy from 4.1.3 to 4.1.5
               change license short name from MIT to Expat

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 23 Jul 2018 16:29:35 +0900

libsixel (1.8.1-1) unstable; urgency=medium

  * New upstream.
  * d/libsixel-example.example: change path to avoid nested dir.
  * d/control: change section from extra to optional.
               update debian policy from 4.0.0 to 4.1.3
               remove autotools-dev

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 11 Jul 2018 16:35:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libsixel
-Priority: extra
+Priority: optional
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Testsuite: autopkgtest
 Section: libs
 Homepage: https://github.com/saitoha/libsixel

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
-	dh $@  --with autotools-dev
+	dh $@
 
 override_dh_auto_configure:
 	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \

## libsixel 1.8.6

=== debian/changelog ===
libsixel (1.8.6-2) unstable; urgency=medium

  * Add DEP-8 tests, contributed by Dylan Aïssi.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 07 May 2020 13:16:19 +0900

libsixel (1.8.6-1) unstable; urgency=medium

  * New upstream (closes: #953115)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 05 Mar 2020 15:54:27 +0900

libsixel (1.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Sep 2019 10:46:12 -0400

libsixel (1.8.2-2) unstable; urgency=medium

  [ OndÅ™ej NovÃ½ ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove Testsuite field, not needed anymore
  * d/control: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ NOKUBI Takatsugu ]
  * d/patches/0001-Add-malloc-size-check.patch: fix CVE-2018-19756
  * d/patches/0002-assign-default-error-message.patch: fix CVE-2018-19757
  * d/patches/0003-add-limitation-to-width-and-height.patch: fix CVE-2018-19759
  * d/patches/0004-position-error-check.patch: fix CVE-2018-19761
  * d/patches/0005-size-check.patch: fix CVE-2018-19762
  * d/patches/0006-prevent-to-access-heap-overflow.patch: fix CVE-2018-19763
  * d/patches/0007-check-error-for-jpeg_read_scanlines.patch: fix CVE-2019-3573
  * d/patches/0008-check-number-of-repeat_count.patch: fix CVE-2019-3574

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 06 Aug 2019 14:55:43 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper (>= 8.0.0), autotools-dev
 Standards-Version: 4.1.5
-Testsuite: autopkgtest
 Section: libs
 Homepage: https://github.com/saitoha/libsixel
 #Vcs-Git: git://git.debian.org/collab-maint/libsixel.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/libsixel.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/libsixel
+Vcs-Git: https://salsa.debian.org/debian/libsixel.git
 
 Package: libsixel-dev
 Section: libdevel
@@ -17,7 +18,7 @@
 Description: DEC SIXEL graphics codec implementation (develop)
  SIXEL is one of image formats for printer and terminal imaging
  introduced by Digital Equipment Corp. (DEC). Its data scheme is
- represented as a terminal-friendly escape sequence. 
+ represented as a terminal-friendly escape sequence.
  So if you want to view a SIXEL image file, all you have to do
  is "cat" it to your terminal.
  .
@@ -30,7 +31,7 @@
 Description: DEC SIXEL graphics codec implementation (runtime)
  SIXEL is one of image formats for printer and terminal imaging
  introduced by Digital Equipment Corp. (DEC). Its data scheme is
- represented as a terminal-friendly escape sequence. 
+ represented as a terminal-friendly escape sequence.
  So if you want to view a SIXEL image file, all you have to do
  is "cat" it to your terminal.
  .
@@ -42,7 +43,7 @@
 Description: DEC SIXEL graphics codec implementation (binary)
  SIXEL is one of image formats for printer and terminal imaging
  introduced by Digital Equipment Corp. (DEC). Its data scheme is
- represented as a terminal-friendly escape sequence. 
+ represented as a terminal-friendly escape sequence.
  So if you want to view a SIXEL image file, all you have to do
  is "cat" it to your terminal.
  .

## libsixel 1.10.3

=== meson_options.txt ===
option('img2sixel', type: 'feature', value: 'enabled', description: 'Whether to build img2sixel, example sixel encoder from image')
option('sixel2png', type: 'feature', value: 'enabled', description: 'Whether to build sixel2png, example sixel decoder to PNG image')
option('gdk-pixbuf2', type: 'feature', value: 'disabled', description: 'Whether to build in gdk-pixbuf2 support')
option('gd', type: 'feature', value: 'auto', description: 'Whether to build in gd support (adds more image formats)')
option('libcurl', type: 'feature', value: 'disabled', description: 'Whether to build in curl support (allows input filenames to be URL\'s)')
option('jpeg', type: 'feature', value: 'auto', description: 'Whether to parse jpeg inputs with libjpeg')
option('png', type: 'feature', value: 'auto', description: 'Whether to parse png inputs with libpng')
option('gcov', type: 'feature', value: 'disabled', description: 'Build gcov coverage tests')
option('tests', type: 'feature', value: 'disabled', description: 'Build tests')

option('python2', type: 'feature', value: 'disabled', description: 'Whether to enable Python library integration (2.x+)')

option('bashcompletiondir', type: 'string', value: '', description: 'Use the specified bash completion dir. Default: $datadir/bash-completion/completions')
option('zshcompletiondir', type: 'string', value: '', description: 'Use the specified zsh completion dir. Default: $datadir/zsh/site-functions')

=== debian/changelog ===
libsixel (1.10.3-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:49:39 +0200

libsixel (1.10.3-3) unstable; urgency=medium

  * d/control: change homepage URL, closes: #1003662

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 14 Jan 2022 08:18:31 +0900

libsixel (1.10.3-2) unstable; urgency=medium

  * d/control: fix build dpendency

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 13 Jan 2022 12:04:41 +0900

libsixel (1.10.3-1) unstable; urgency=medium

  * New upstream relaase
  * Work with meson

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Jan 2022 09:50:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libsixel
 Priority: optional
-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
+Build-Depends: debhelper (>= 8.0.0), meson
 Standards-Version: 4.1.5
 Section: libs
-Homepage: https://github.com/saitoha/libsixel
+Homepage: https://github.com/libsixel/libsixel
 #Vcs-Git: git://git.debian.org/collab-maint/libsixel.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/libsixel.git;a=summary
 Vcs-Browser: https://salsa.debian.org/debian/libsixel

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,11 @@
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	env CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
-	dh_auto_configure -- \
-	--with-bashcompletiondir=/etc/bash_completion.d \
-	--with-zshcompletiondir=/usr/share/zsh/functions/Completion/Unix \
-	--includedir=/usr/include/sixel \
-	--disable-python
+	dh_auto_configure --buildsystem=meson -- \
+	-Dbashcompletiondir=/etc/bash_completion.d \
+	-Dzshcompletiondir=/usr/share/zsh/functions/Completion/Unix \
+	--includedir=/usr/include/sixel

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libsixel-$1.tar.gz%" \
   https://github.com/libsixel/libsixel/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
   debian uupdate

## libsixel 1.10.5

=== meson_options.txt ===
--- 
+++ 
@@ -5,10 +5,9 @@
 option('libcurl', type: 'feature', value: 'disabled', description: 'Whether to build in curl support (allows input filenames to be URL\'s)')
 option('jpeg', type: 'feature', value: 'auto', description: 'Whether to parse jpeg inputs with libjpeg')
 option('png', type: 'feature', value: 'auto', description: 'Whether to parse png inputs with libpng')
-option('gcov', type: 'feature', value: 'disabled', description: 'Build gcov coverage tests')
 option('tests', type: 'feature', value: 'disabled', description: 'Build tests')
 
-option('python2', type: 'feature', value: 'disabled', description: 'Whether to enable Python library integration (2.x+)')
+option('python', type: 'feature', value: 'disabled', description: 'Whether to enable Python library integration (3.x+)')
 
 option('bashcompletiondir', type: 'string', value: '', description: 'Use the specified bash completion dir. Default: $datadir/bash-completion/completions')
 option('zshcompletiondir', type: 'string', value: '', description: 'Use the specified zsh completion dir. Default: $datadir/zsh/site-functions')

=== examples/python/Makefile ===
all: test

test:
	./converter.py ../../images/snake-monochrome.png
	./converter.py ../../images/snake-grayscale.png
	./converter.py ../../images/snake-palette.png
	./converter.py ../../images/snake.jpg

=== php/manual/Makefile ===
# 
all: html

confcheck:
	@if test "x$(PHPDOC)" = "x"; then echo PHPDOC not set; exit 3; fi

manual.xml: manual.xml.in
	sed -e's:@PHPDOC@:$(PHPDOC):g' < manual.xml.in > manual.xml

html: confcheck manual.xml
	rm -rf html; mkdir html
	SP_ENCODING=XML SP_CHARSET_FIXED=YES openjade -D $(PHPDOC) -wno-idref -c $(PHPDOC)/docbook/docbook-dsssl/catalog -c $(PHPDOC)/phpbook/phpbook-dsssl/defaults/catalog -d $(PHPDOC)/phpbook/phpbook-dsssl/html.dsl -V use-output-dir -t sgml $(PHPDOC)/phpbook/phpbook-xml/phpdocxml.dcl manual.xml

bightml: confcheck manual.xml
	rm -rf html; mkdir html
	SP_ENCODING=XML SP_CHARSET_FIXED=YES openjade -D $(PHPDOC) -wno-idref -c $(PHPDOC)/docbook/docbook-dsssl/catalog -c $(PHPDOC)/phpbook/phpbook-dsssl/defaults/catalog -d $(PHPDOC)/phpbook/phpbook-dsssl/html.dsl -V nochunks -t sgml $(PHPDOC)/phpbook/phpbook-xml/phpdocxml.dcl manual.xml > manual.html

tex: manual.tex

manual.tex: confcheck manual.xml
	SP_ENCODING=XML SP_CHARSET_FIXED=YES openjade -D $(PHPDOC) -wno-idref -c $(PHPDOC)/docbook/docbook-dsssl/catalog -c $(PHPDOC)/phpbook/phpbook-dsssl/defaults/catalog -d $(PHPDOC)/phpbook/phpbook-dsssl/print.dsl -t tex $(PHPDOC)/phpbook/phpbook-xml/phpdocxml.dcl manual.xml

pdf: manual.tex
	pdfjadetex manual.tex && pdfjadetex manual.tex && pdfjadetex manual.tex

=== debian/changelog ===
libsixel (1.10.5-1) unstable; urgency=medium

  * New upstream relaese

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 13 Jan 2025 21:37:51 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libsixel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
+Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper (>= 8.0.0), meson
 Standards-Version: 4.1.5
 Section: libs
@@ -55,6 +54,7 @@
 Section: devel
 Depends: ${misc:Depends}
 Suggests: libsixel-dev
+Multi-Arch: foreign
 Description: DEC SIXEL graphics codec implementation (examples)
  SIXEL is one of image formats for printer and terminal imaging
  introduced by Digital Equipment Corp. (DEC). Its data scheme is

=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,8 @@
 	dh_auto_configure --buildsystem=meson -- \
 	-Dbashcompletiondir=/etc/bash_completion.d \
 	-Dzshcompletiondir=/usr/share/zsh/functions/Completion/Unix \
+	 -Ddefault_library=both \
 	--includedir=/usr/include/sixel
+
+override_dh_install:
+	dh_install -O --buildsystem=meson
